# $Revision: 1.52 $, $Date: 2006/05/01 02:15:05 $
Summary:	A lightweight caching nameserver
Summary(pl):	Lekki buforujcy serwer nazw (DNS)
Name:		dnsmasq
Version:	2.30
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://thekelleys.org.uk/dnsmasq/%{name}-%{version}.tar.gz
# Source0-md5:	91db9ef2c63269debf7794783074b751
Source1:	%{name}.init
Source2:	%{name}.config
Patch0:		%{name}-sh.patch
URL:		http://www.thekelleys.org.uk/dnsmasq/
BuildRequires:	gettext-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Provides:	caching-nameserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dnsmasq is lightweight, easy to configure DNS forwarder designed to
provide DNS (domain name) services to a small network where using BIND
would be overkill. It can be have its DNS servers automatically
configured by PPP or DHCP, and it can serve the names of local
machines which are not in the global DNS. It is ideal for networks
behind NAT routers and connected via modem, ISDN, ADSL, or cable-modem
connections.

%description -l pl
Dnsmasq jest lekkim, atwym w konfiguracji forwarderem DNS
zaprojektowanym do serwowania usugi DNS dla maych sieci, gdzie
uywanie BIND byoby przesad. Zewntrzne serwery DNS mog by
automatycznie konfigurowane przez PPP lub DHCP. Moe on serwowa take
nazwy dla lokalnych maszyn nie znajdujcych si w globalnym DNS. Jest
idealny dla sieci za NAT i poczonych przez modem, ISDL, ADSL lub
poczenia kablowe.

%prep
%setup -q
%patch0 -p1

%build
%{__make} all-i18n \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DHAVE_ISC_READER" \
	PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/sysconfig,/etc/rc.d/init.d,%{_mandir}/man8}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/dnsmasq
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/dnsmasq
install dnsmasq.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/dnsmasq.conf

%{__make} install-i18n \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add dnsmasq
%service dnsmasq restart

%preun
if [ "$1" = "0" ]; then
	%service dnsmasq stop
	/sbin/chkconfig --del dnsmasq
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGELOG FAQ *.html
%attr(754,root,root) /etc/rc.d/init.d/dnsmasq
%attr(755,root,root) %{_sbindir}/dnsmasq
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/dnsmasq
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dnsmasq.conf
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dnsmasq.spec,v $
Revision 1.52  2006/05/01 02:15:05  zbyniu
- translations; dhcp support enabled; rel 2

Revision 1.51  2006/04/23 22:06:11  paszczus
- updated to 2.30

Revision 1.50  2006/04/23 13:09:06  areq
- 2.29

Revision 1.49  2006/04/16 21:35:10  glen
- fix chkconfig, rc-scripts deps

Revision 1.48  2006/03/17 12:18:06  areq
- 2.27

Revision 1.47  2006/02/24 15:35:49  glen
- use %service

Revision 1.46  2006/01/15 14:39:36  areq
- 2.25

Revision 1.45  2005/11/27 12:04:04  areq
- 2.24

Revision 1.44  2005/08/29 21:24:01  areq
- 2.23

Revision 1.43  2005/04/04 18:50:43  darekr
- added config file; quote CC

Revision 1.42  2005/04/04 18:41:52  adamg
- updated to 2.22

Revision 1.41  2005/03/25 23:14:01  zawadaa
- up to 2.21, STBR

Revision 1.40  2005/01/23 14:57:56  paszczus
- updated to 2.20

Revision 1.39  2004/12/13 22:45:09  adamg
- updated to 2.19

Revision 1.38  2004/11/22 10:44:38  areq
- 2.18

Revision 1.37  2004/11/14 21:40:41  adamg
- updated to 2.17

Revision 1.36  2004/10/22 10:38:33  paszczus
- updated to 2.16

Revision 1.35  2004/09/20 21:26:24  paszczus
- updated to 2.15

Revision 1.34  2004/09/12 08:20:23  paszczus
- updated to 2.14

Revision 1.33  2004/08/14 07:37:58  adamg
- updated to 2.13

Revision 1.32  2004/08/02 19:16:49  adamg
- updated to 2.11

Revision 1.31  2004/07/27 22:13:12  paszczus
- updated to 2.10

Revision 1.30  2004/06/22 21:34:29  paszczus
- updated to 2.9

Revision 1.29  2004/05/14 07:19:00  adamg
- updated to 2.8

Revision 1.28  2004/05/13 17:56:39  ankry
- %SOURCE# fixes

Revision 1.27  2004/04/25 17:21:13  adamg
- updated to 2.7

Revision 1.26  2004/04/04 16:16:04  adamg
- updated to 2.6

Revision 1.25  2004/03/24 18:02:00  qboosh
- pl fix (pointed by Marcin Gajda), formatting

Revision 1.24  2004/03/18 18:31:09  domelu
- updated to 2.5

Revision 1.23  2004/03/13 15:33:30  adamg
- updated to 2.4

Revision 1.22  2004/02/04 18:17:06  adamg
- updated to 2.2

Revision 1.21  2003/11/11 03:13:22  domelu
- update to 1.18

Revision 1.20  2003/10/12 08:11:35  adamg
- updated to 1.17

Revision 1.19  2003/09/21 21:47:56  adamg
- updated to 1.16

Revision 1.18  2003/09/19 20:09:03  misi3k
- updated to 1.14

Revision 1.17  2003/08/22 15:16:38  ankry
- attributes fix

Revision 1.16  2003/08/09 11:12:09  misi3k
- rel 2
- cosmetics

Revision 1.15  2003/06/22 14:21:35  misi3k
- updated to 1.13

Revision 1.14  2003/05/30 13:51:57  qboosh
- more specific Requires

Revision 1.13  2003/05/30 13:06:05  qboosh
- merged lost change:
    Revision 1.11  2003/05/23 07:09:45  kosmo
    - updated to 1.12
    - dnsmasq-cc.patch no longer needed

Revision 1.12  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.11  2003/05/25 05:46:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/15 18:24:45  misi3k
- removed Obsoletes

Revision 1.9  2003/04/14 19:18:16  misi3k
- added Obsoletes, Provides

Revision 1.8  2003/03/07 22:54:44  radek
- release 2 to rebuild for improved init script (changed chkconfig
  settings to the same as bind: levels 345, start 14, stop 89)
  NOTE: consider including this change in Ra

Revision 1.7  2003/02/06 06:11:09  kloczek
- updated to 1.11: improvements.

Revision 1.6  2003/01/22 12:48:59  radek
- version 1.10
- removed COPYING (just GPL), added FAQ and setup.html

Revision 1.5  2002/10/29 23:56:18  filon
- updated to 1.9
- updated cc patch

Revision 1.4  2002/10/29 22:11:24  filon
- changed optflags to rpmcflags, it is needed for debug builds

Revision 1.3  2002/08/05 20:17:22  kloczek
- updated to 1.7: bugfix release.

Revision 1.2  2002/06/11 22:50:51  kloczek
- added full Source url.

Revision 1.1  2002/06/11 22:41:01  filon
- inital version, fully functional
- STBR
